'------------------------------------------------------------------------------------------
'RichProfile 5.0 Initiation Script
'RichProfile.com support@richprofile.com
'2011
'Covers 32bit and 64 bit RichProfile for Outlook x64 2010 installations.
'-----------------------------------------------------------------------------------------
 
dim strProfileParam, strMailServer, strUser, RichProfile, strOutlookBitness
 
Set RichShell = WScript.CreateObject("WScript.Shell")
Set RichNet = WScript.CreateObject("WScript.Network")
 
'username of local logged in user
strUser = RichNet.username
'msgbox struser
 
'name of mailserver
strMailServer="nike.rcsnet.net"
'msgbox strMailServer
 

'Path to location of Richprofile.exe and Richprofile_x64.exe, i.e on server or on local machine  
RichProfile = "H:\Richprofile Registered Versions\"

'Richprofile now needs to know if Outlook is 32 or 64 bit and run appropriate version, otherwise MAPI will fail.
'On Error Resume Next 

strOutlookBitness = RichShell.RegRead("HKEY_LOCAL_MACHINE\Software\Microsoft\Office\14.0\Outlook\Bitness" ) 
'MsgBox Err.number
if err.number = 0 then 
    'key existed, test for value
    If strOutlookBitness = "x64" Then 
        RichProfile = RichProfile & "richprofile_x64.exe"
    elseif strOutlookBitness = "x32" Then 
        RichProfile = RichProfile & "richprofile.exe"
    End If

else 
    'Most likely a 32 bit non-office 2010 install 
    RichProfile = RichProfile & "richprofile.exe"
end if 


'msgbox RichProfile
 
'complete command parameter for RichProfile to use ( chr(34) is a speech mark, so should be either side of any value that may have spaces in it; eg mailbox name might be "Richard Coggins")
strProfileParam = " -s " & Chr(34) & strMailServer & Chr(34)  & " -m " & Chr(34) & Lcase(strUser) & Chr(34) & " -p " & Chr(34) & Lcase(strUser) & Chr(34) & " -a " & Chr(34) & "N" & Chr(34) & " -d " & Chr(34) & "D" & Chr(34) 

'comment this out after verifying values are populated correctly for command line.
MsgBox richprofile & strprofileparam
 
RichShell.Run richprofile & strProfileParam,3,true

 
